require "crosby/version"

module Crosby
  def self.config(&block)
    @@configuration ||= Configuration.new
    @@configuration.config(&block)
  end

  def self.action_mailer_version
    require "action_mailer/version"
    ActionMailer::VERSION
  rescue
    raise Crosby::MissingDependency, "Some version of ActionMailer is required"
  end
end

require "crosby/configuration"
require "crosby/errors"
require "crosby/exporter"
require "crosby/diff"
