require "securerandom"

module Crosby
  class Configuration
    attr_accessor :app_name, :export_path

    def initialize
      self.app_name = SecureRandom.hex(4)
      self.export_path = "tmp/crosby"
    end

    def config(&block)
      block.call(self) if block_given?
      to_hsh
    end

    def to_hsh
      {
        :app_name => app_name,
        :export_path => export_path
      }
    end
    alias :to_h :to_hsh
  end
end
