require "base64"
require "crosby"

module Crosby
  module RSpecHelper
    def crosby_email(mailer, method, *args)
      @crosby_uuid ||= generate_crosby_digest(mailer, method, *args)
      exporter = Crosby::Exporter.new(mailer, method, @crosby_uuid, *args)
      return (exporter.export ? exporter.mail : false)
    end

    def generate_crosby_digest(*args)
      Base64.encode64(args.map(&:to_s).join("|")).chomp
    end
  end
end

begin
  if Kernel.const_defined?(:Spec)
    class ActiveSupport::TestCase
      include Crosby::RSpecHelper
    end
  else
    RSpec.configure do |c|
      c.include Crosby::RSpecHelper
    end
  end
rescue NameError
  raise Crosby::MissingRSpec, "Crosby can't find RSpec at the Spec::Runner " \
                              "or RSpec namespace."
end
